%define shortname rest
%define name lib%{shortname}

%define api		0.7
%define major           0
%define libname         %mklibname %{shortname} %{api} %{major}
%define develname       %mklibname %{shortname} -d

Name: %{name}
Summary: Library for accessing rest web services
Group: System/Libraries
Version: 0.7.10
License: LGPLv2+
URL: http://www.meego.com
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/rest/%{api}/%{shortname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: libsoup-devel
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel

%description
Library for accessing rest web services

%package -n %{libname}
Summary: Library for accessing rest web services
Group: System/Libraries
Obsoletes: %{_lib}librest0 < %version
Conflicts: %{develname} < 0.7.10

%description -n %{libname}
Library for accessing rest web services

%package -n %{name}-doc

Summary: Documentation for %{name}
Group: System/Libraries

%description -n %{name}-doc
Documentation for %{name}

%package -n %{develname}

Summary: Development files for %{name}
Group: Development/C

Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{shortname}-%{version}

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS ChangeLog
%{_libdir}/%{name}*-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/*

%files -n %{name}-doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/rest*/*
%{_libdir}/%{name}*.so
%{_libdir}/%{name}*.la
%{_datadir}/gir-1.0/*


%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.7.10-1mdv2011.0
+ Revision: 657594
- new version 0.7.10

* Thu Apr 14 2011 Funda Wang <fwang@mandriva.org> 0.7.2-2
+ Revision: 652963
- br g-ir
- rebuild for new libsoup

  + Claudio Matsuoka <claudio@mandriva.com>
    - Update for MeeGo 1.1

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-5mdv2011.0
+ Revision: 568999
- rebuild for new libproxy

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.6.1-4mdv2010.0
+ Revision: 459749
- 0.6.1, with versionned lib and extra lib (from Caio Begotti)

* Mon Oct 05 2009 Olivier Blin <oblin@mandriva.com> 0.6-4mdv2010.0
+ Revision: 454072
- provide librest-devel
- remove useless requires in -devel

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.6-3mdv2010.0
+ Revision: 452555
- fix devel group

* Thu Oct 01 2009 Olivier Blin <oblin@mandriva.com> 0.6-2mdv2010.0
+ Revision: 452386
- fix naming that I broke (funny liblibrest will die)
- use major in file list

* Thu Oct 01 2009 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2010.0
+ Revision: 452264
- include la in devel package
- remove useless exclude
- fix name
- initial import (from Claudio Matsuoka and Caio Begotti, based on Fedora package)
- Created package structure for librest.

